set V := {read "datitsp.txt" as "<1s>" comment "#"};
set E := {<i,j> in V*V with i < j};

param cost [E] := read "to_sep.txt" as "4n" comment "#";

var w[E] real <= 1;
var z[V] real <= 1;

maximize cost: sum <i,j> in E : cost [i,j] * w[i, j] - sum <i> in V: z[i];

subto first_impl: forall <i,j> in E do 
      		  w [i,j] - z[i] <= 0;


subto second_impl: forall <i,j> in E do 
      		  w [i,j] - z[j] <= 0;

subto fix: z["A"] == 1;
